Manifest-Version: 1.0
Bnd-LastModified: 1717488075608
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Kernel
Bundle-SymbolicName: com.liferay.portal.kernel
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 109.0.1
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.admin.kernel.util;version="2.0.0";uses:="c
 om.liferay.portal.kernel.model",com.liferay.announcements.kernel.cons
 tants;version="1.0.0",com.liferay.announcements.kernel.exception;vers
 ion="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.a
 nnouncements.kernel.model;version="4.1.0";uses:="com.liferay.exportim
 port.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.b
 ase,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.be
 an,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.u
 til",com.liferay.announcements.kernel.service;version="2.6.0";uses:="
 com.liferay.announcements.kernel.model,com.liferay.exportimport.kerne
 l.lar,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.o
 rm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json
 webservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 search,com.liferay.portal.kernel.security.access.control,com.liferay.
 portal.kernel.service,com.liferay.portal.kernel.systemevent,com.lifer
 ay.portal.kernel.transaction,com.liferay.portal.kernel.util",com.life
 ray.announcements.kernel.service.persistence;version="3.4.0";uses:="c
 om.liferay.announcements.kernel.exception,com.liferay.announcements.k
 ernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kern
 el.service,com.liferay.portal.kernel.service.persistence,com.liferay.
 portal.kernel.util",com.liferay.announcements.kernel.util;version="2.
 0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ke
 rnel.model,com.liferay.portal.kernel.security.permission,com.liferay.
 portal.kernel.theme",com.liferay.asset.kernel;version="2.1.0";uses:="
 com.liferay.asset.kernel.model,com.liferay.portal.kernel.exception",c
 om.liferay.asset.kernel.configuration.provider;version="1.0.0";uses:=
 "com.liferay.portal.kernel.module.configuration",com.liferay.asset.ke
 rnel.exception;version="3.0.1";uses:="com.liferay.asset.kernel.model,
 com.liferay.portal.kernel.exception",com.liferay.asset.kernel.model;v
 ersion="9.2.0";uses:="com.liferay.dynamic.data.mapping.kernel,com.lif
 eray.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.pe
 tra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay.por
 tal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.model.change.tracking,com.li
 feray.portal.kernel.model.wrapper,com.liferay.portal.kernel.portlet,c
 om.liferay.portal.kernel.resource.bundle,com.liferay.portal.kernel.se
 curity.permission,com.liferay.portal.kernel.theme,com.liferay.portal.
 kernel.util,javax.portlet,javax.servlet,javax.servlet.http",com.lifer
 ay.asset.kernel.model.adapter;version="3.1.0";uses:="com.liferay.asse
 t.kernel.model,com.liferay.portal.kernel.model",com.liferay.asset.ker
 nel.service;version="8.1.0";uses:="com.liferay.asset.kernel.model,com
 .liferay.asset.kernel.service.persistence,com.liferay.exportimport.ke
 rnel.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,c
 om.liferay.portal.kernel.cache.thread.local,com.liferay.portal.kernel
 .change.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.increment,com.liferay.por
 tal.kernel.json,com.liferay.portal.kernel.jsonwebservice,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.port
 al.kernel.security.access.control,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.service.change.tracking,com.liferay.portal.k
 ernel.service.permission,com.liferay.portal.kernel.service.persistenc
 e.change.tracking,com.liferay.portal.kernel.systemevent,com.liferay.p
 ortal.kernel.transaction,com.liferay.portal.kernel.util",com.liferay.
 asset.kernel.service.persistence;version="10.1.0";uses:="com.liferay.
 asset.kernel.exception,com.liferay.asset.kernel.model,com.liferay.por
 tal.kernel.dao.orm,com.liferay.portal.kernel.dao.search,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.service,com.liferay.port
 al.kernel.service.persistence,com.liferay.portal.kernel.service.persi
 stence.change.tracking,com.liferay.portal.kernel.util",com.liferay.as
 set.kernel.util;version="2.0.0",com.liferay.asset.kernel.validator;ve
 rsion="2.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay
 .background.task.kernel.util.comparator;version="1.1.0";uses:="com.li
 feray.portal.kernel.backgroundtask,com.liferay.portal.kernel.util",co
 m.liferay.counter.kernel;version="2.2.0",com.liferay.counter.kernel.e
 xception;version="1.0.0";uses:="com.liferay.portal.kernel.exception",
 com.liferay.counter.kernel.model;version="4.1.0";uses:="com.liferay.p
 etra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel
 .annotation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.
 model,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kern
 el.util",com.liferay.counter.kernel.service;version="2.2.0";uses:="co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.transaction",com.liferay.counter.kernel.serv
 ice.persistence;version="2.0.2",com.liferay.document.library.kernel;v
 ersion="1.0.0";uses:="com.liferay.portal.kernel.exception",com.lifera
 y.document.library.kernel.antivirus;version="3.1.0";uses:="com.lifera
 y.portal.kernel.exception",com.liferay.document.library.kernel.docume
 nt.conversion;version="1.0.0",com.liferay.document.library.kernel.exc
 eption;version="4.2.0";uses:="com.liferay.portal.kernel.exception",co
 m.liferay.document.library.kernel.model;version="8.2.0";uses:="com.li
 feray.dynamic.data.mapping.kernel,com.liferay.expando.kernel.model,co
 m.liferay.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.lifer
 ay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.lifera
 y.portal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.lock,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.model.change.tracking,com.liferay.portal.kernel.model.wrapper
 ,com.liferay.portal.kernel.repository.model,com.liferay.portal.kernel
 .util",com.liferay.document.library.kernel.service;version="11.2.0";u
 ses:="com.liferay.asset.kernel.model,com.liferay.document.library.ker
 nel.exception,com.liferay.document.library.kernel.model,com.liferay.d
 ynamic.data.mapping.kernel,com.liferay.exportimport.kernel.lar,com.li
 feray.petra.function,com.liferay.petra.sql.dsl.query,com.liferay.port
 al.kernel.cache.thread.local,com.liferay.portal.kernel.change.trackin
 g,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.increment,com.liferay.portal.kernel.json
 webservice,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.m
 essaging.async,com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.repository.model,com.liferay.portal.kernel.search,com.liferay.por
 tal.kernel.security.access.control,com.liferay.portal.kernel.service,
 com.liferay.portal.kernel.service.change.tracking,com.liferay.portal.
 kernel.service.permission,com.liferay.portal.kernel.service.persisten
 ce.change.tracking,com.liferay.portal.kernel.systemevent,com.liferay.
 portal.kernel.transaction,com.liferay.portal.kernel.util",com.liferay
 .document.library.kernel.service.persistence;version="6.1.0";uses:="c
 om.liferay.document.library.kernel.exception,com.liferay.document.lib
 rary.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.porta
 l.kernel.service,com.liferay.portal.kernel.service.persistence,com.li
 feray.portal.kernel.service.persistence.change.tracking,com.liferay.p
 ortal.kernel.util",com.liferay.document.library.kernel.store;version=
 "4.1.0";uses:="com.liferay.petra.function,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.transaction",com.liferay.document.
 library.kernel.util;version="8.0.0";uses:="com.liferay.document.libra
 ry.kernel.exception,com.liferay.document.library.kernel.model,com.lif
 eray.exportimport.kernel.lar,com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.repository.model,com.liferay.portal.kernel.sear
 ch,com.liferay.portal.kernel.service,com.liferay.portal.kernel.theme,
 com.liferay.portal.kernel.util,com.liferay.portal.kernel.xml,javax.po
 rtlet",com.liferay.document.library.kernel.util.comparator;version="3
 .0.0";uses:="com.liferay.document.library.kernel.model,com.liferay.po
 rtal.kernel.repository.model,com.liferay.portal.kernel.util",com.life
 ray.document.library.kernel.versioning;version="1.0.0";uses:="com.lif
 eray.document.library.kernel.model",com.liferay.dynamic.data.mapping.
 kernel;version="3.0.0";uses:="com.liferay.expando.kernel.model,com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.json,com.life
 ray.portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.
 portal.kernel.service,com.liferay.portal.kernel.theme",com.liferay.ex
 pando.kernel.exception;version="2.0.0";uses:="com.liferay.portal.kern
 el.exception",com.liferay.expando.kernel.model;version="6.0.0";uses:=
 "com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay
 .portal.kernel.annotation,com.liferay.portal.kernel.bean,com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.po
 rtal.kernel.model,com.liferay.portal.kernel.model.change.tracking,com
 .liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.servic
 e,com.liferay.portal.kernel.util",com.liferay.expando.kernel.model.ad
 apter;version="3.1.0";uses:="com.liferay.expando.kernel.model,com.lif
 eray.portal.kernel.model",com.liferay.expando.kernel.service;version=
 "1.9.0";uses:="com.liferay.expando.kernel.model,com.liferay.petra.fun
 ction,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.chang
 e.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kerne
 l.exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.
 jsonwebservice,com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.search,com.liferay.portal.kernel.security.access.control,com.life
 ray.portal.kernel.service,com.liferay.portal.kernel.service.change.tr
 acking,com.liferay.portal.kernel.service.persistence.change.tracking,
 com.liferay.portal.kernel.transaction,com.liferay.portal.kernel.util"
 ,com.liferay.expando.kernel.service.permission;version="1.0.0";uses:=
 "com.liferay.expando.kernel.model,com.liferay.portal.kernel.exception
 ,com.liferay.portal.kernel.security.permission",com.liferay.expando.k
 ernel.service.persistence;version="3.3.0";uses:="com.liferay.expando.
 kernel.exception,com.liferay.expando.kernel.model,com.liferay.portal.
 kernel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.k
 ernel.service.persistence,com.liferay.portal.kernel.service.persisten
 ce.change.tracking,com.liferay.portal.kernel.util",com.liferay.expand
 o.kernel.util;version="4.0.0";uses:="com.liferay.expando.kernel.model
 ,com.liferay.portal.kernel.service",com.liferay.exportimport.kernel.b
 ackground.task;version="1.4.0",com.liferay.exportimport.kernel.config
 uration;version="5.0.0";uses:="com.liferay.exportimport.kernel.model,
 com.liferay.portal.kernel.backgroundtask,com.liferay.portal.kernel.ex
 ception,com.liferay.portal.kernel.model,javax.portlet",com.liferay.ex
 portimport.kernel.configuration.constants;version="1.0.0",com.liferay
 .exportimport.kernel.controller;version="2.0.0";uses:="com.liferay.ex
 portimport.kernel.lar,com.liferay.exportimport.kernel.model",com.life
 ray.exportimport.kernel.exception;version="2.1.0";uses:="com.liferay.
 exportimport.kernel.lar,com.liferay.portal.kernel.exception",com.life
 ray.exportimport.kernel.lar;version="4.4.0";uses:="com.liferay.expand
 o.kernel.model,com.liferay.exportimport.kernel.model,com.liferay.port
 al.kernel.backgroundtask,com.liferay.portal.kernel.dao.orm,com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.lock,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.repository.model,com.li
 feray.portal.kernel.service,com.liferay.portal.kernel.theme,com.lifer
 ay.portal.kernel.util,com.liferay.portal.kernel.xml,com.liferay.porta
 l.kernel.zip,javax.portlet",com.liferay.exportimport.kernel.lifecycle
 ;version="4.0.0";uses:="com.liferay.exportimport.kernel.lar,com.lifer
 ay.exportimport.kernel.model,com.liferay.portal.kernel.model",com.lif
 eray.exportimport.kernel.lifecycle.constants;version="1.0.0",com.life
 ray.exportimport.kernel.model;version="6.0.0";uses:="com.liferay.petr
 a.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.an
 notation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.mod
 el,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.
 util",com.liferay.exportimport.kernel.service;version="2.9.0";uses:="
 com.liferay.exportimport.kernel.lar,com.liferay.exportimport.kernel.m
 odel,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.or
 m,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.jsonw
 ebservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.s
 earch,com.liferay.portal.kernel.security.access.control,com.liferay.p
 ortal.kernel.service,com.liferay.portal.kernel.systemevent,com.lifera
 y.portal.kernel.transaction,com.liferay.portal.kernel.util,javax.port
 let",com.liferay.exportimport.kernel.service.persistence;version="2.5
 .0";uses:="com.liferay.exportimport.kernel.exception,com.liferay.expo
 rtimport.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.p
 ortal.kernel.service,com.liferay.portal.kernel.service.persistence,co
 m.liferay.portal.kernel.util",com.liferay.exportimport.kernel.staging
 ;version="2.3.0";uses:="com.liferay.exportimport.kernel.lar,com.lifer
 ay.exportimport.kernel.model,com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.json,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.security.auth,com.liferay.portal.kernel.util,com.life
 ray.portal.kernel.workflow,com.liferay.portal.kernel.xml,javax.portle
 t,javax.servlet.http",com.liferay.exportimport.kernel.staging.constan
 ts;version="1.0.0",com.liferay.exportimport.kernel.staging.permission
 ;version="1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.p
 ortal.kernel.security.permission",com.liferay.exportimport.kernel.xst
 ream;version="2.0.0",com.liferay.layout.admin.kernel.model;version="1
 .0.0";uses:="com.liferay.portal.kernel.model",com.liferay.layout.admi
 n.kernel.visibility;version="2.0.0",com.liferay.layout.seo.kernel;ver
 sion="2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.theme,com.liferay.portal
 .kernel.util",com.liferay.layout.utility.page.kernel;version="1.0.0";
 uses:="javax.servlet,javax.servlet.http",com.liferay.layout.utility.p
 age.kernel.constants;version="2.1.0",com.liferay.layouts.admin.kernel
 .util;version="109.0.1",com.liferay.mail.kernel.auth.token.provider;v
 ersion="1.0.0",com.liferay.mail.kernel.model;version="1.1.0";uses:="j
 avax.mail.internet",com.liferay.mail.kernel.service;version="5.0.0";u
 ses:="com.liferay.mail.kernel.model,com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.transaction,javax.mail",com.liferay.mail
 .kernel.template;version="2.0.0";uses:="com.liferay.portal.kernel.uti
 l",com.liferay.portal.kernel.annotation;version="7.0.0",com.liferay.p
 ortal.kernel.aop;version="1.0.1",com.liferay.portal.kernel.applicatio
 n.type;version="1.0.0",com.liferay.portal.kernel.audit;version="7.1.1
 ";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kerne
 l.json",com.liferay.portal.kernel.backgroundtask;version="11.0.0";use
 s:="com.liferay.petra.lang,com.liferay.portal.kernel.backgroundtask.d
 isplay,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 messaging,com.liferay.portal.kernel.model,com.liferay.portal.kernel.r
 epository.model,com.liferay.portal.kernel.service,com.liferay.portal.
 kernel.util",com.liferay.portal.kernel.backgroundtask.constants;versi
 on="1.1.0",com.liferay.portal.kernel.backgroundtask.display;version="
 3.0.0";uses:="com.liferay.portal.kernel.backgroundtask,javax.servlet.
 http",com.liferay.portal.kernel.bean;version="10.1.0";uses:="javax.po
 rtlet,javax.servlet.http",com.liferay.portal.kernel.cache;version="14
 .0.0";uses:="com.liferay.portal.kernel.transaction",com.liferay.porta
 l.kernel.cache.index;version="6.2.0";uses:="com.liferay.portal.kernel
 .cache",com.liferay.portal.kernel.cache.key;version="8.0.0";uses:="co
 m.liferay.petra.string",com.liferay.portal.kernel.cache.thread.local;
 version="2.0.0";uses:="com.liferay.portal.kernel.transaction",com.lif
 eray.portal.kernel.cache.transactional;version="3.1.0";uses:="com.lif
 eray.portal.kernel.cache,com.liferay.portal.kernel.transaction",com.l
 iferay.portal.kernel.cal;version="7.0.0",com.liferay.portal.kernel.ca
 ptcha;version="7.0.0";uses:="com.liferay.portal.kernel.exception,java
 x.portlet,javax.servlet.http",com.liferay.portal.kernel.change.tracki
 ng;version="2.2.0";uses:="com.liferay.petra.lang,com.liferay.portal.k
 ernel.exception",com.liferay.portal.kernel.change.tracking.sql;versio
 n="1.0.0";uses:="com.liferay.petra.lang",com.liferay.portal.kernel.cl
 uster;version="8.0.0";uses:="com.liferay.portal.kernel.concurrent,com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.messaging,
 com.liferay.portal.kernel.util",com.liferay.portal.kernel.cluster.mes
 saging;version="7.1.0";uses:="com.liferay.portal.kernel.cluster,com.l
 iferay.portal.kernel.messaging",com.liferay.portal.kernel.comment;ver
 sion="4.0.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.p
 ortal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.security.permission,com
 .liferay.portal.kernel.service,com.liferay.ratings.kernel.model",com.
 liferay.portal.kernel.comment.display.context;version="1.0.0";uses:="
 com.liferay.portal.kernel.comment,com.liferay.portal.kernel.display.c
 ontext,com.liferay.portal.kernel.exception,javax.servlet.http",com.li
 feray.portal.kernel.concurrent;version="8.0.0",com.liferay.portal.ker
 nel.configuration;version="7.0.0",com.liferay.portal.kernel.cookies;v
 ersion="3.1.0";uses:="com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.settings,javax.servlet.http",com.liferay.portal.kernel
 .cookies.constants;version="1.1.0",com.liferay.portal.kernel.dao.db;v
 ersion="12.1.0";uses:="com.liferay.petra.function,javax.naming,javax.
 sql",com.liferay.portal.kernel.dao.jdbc;version="9.0.0";uses:="javax.
 naming,javax.sql",com.liferay.portal.kernel.dao.jdbc.aop;version="8.0
 .0",com.liferay.portal.kernel.dao.jdbc.pool.metrics;version="1.0.0",c
 om.liferay.portal.kernel.dao.orm;version="12.0.0";uses:="com.liferay.
 exportimport.kernel.lar,com.liferay.petra.function,com.liferay.petra.
 sql.dsl.query,com.liferay.portal.kernel.cache,com.liferay.portal.kern
 el.exception,com.liferay.portal.kernel.model,com.liferay.portal.kerne
 l.search,com.liferay.portal.kernel.service,com.liferay.portal.kernel.
 service.persistence,com.liferay.portal.kernel.transaction,com.liferay
 .portal.kernel.util",com.liferay.portal.kernel.dao.search;version="9.
 0.0";uses:="com.liferay.petra.function,com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.model,com.liferay.portal.kernel.searc
 h,com.liferay.portal.kernel.util,javax.portlet,javax.servlet,javax.se
 rvlet.http",com.liferay.portal.kernel.dependency.manager;version="2.0
 .0",com.liferay.portal.kernel.deploy.auto;version="8.0.0";uses:="com.
 liferay.portal.kernel.deploy.auto.context,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.plugin",com.liferay.portal.kernel.
 deploy.auto.context;version="7.0.0";uses:="com.liferay.portal.kernel.
 plugin",com.liferay.portal.kernel.deploy.hot;version="7.1.2";uses:="c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.messagin
 g,com.liferay.portal.kernel.plugin,com.liferay.portal.kernel.util,jav
 ax.servlet",com.liferay.portal.kernel.display.context;version="2.0.0"
 ;uses:="javax.servlet.http,org.osgi.framework",com.liferay.portal.ker
 nel.display.context.helper;version="2.0.0";uses:="com.liferay.portal.
 kernel.model,com.liferay.portal.kernel.portlet,com.liferay.portal.ker
 nel.security.permission,com.liferay.portal.kernel.theme,javax.servlet
 .http",com.liferay.portal.kernel.editor;version="8.0.0",com.liferay.p
 ortal.kernel.editor.configuration;version="1.1.0";uses:="com.liferay.
 portal.kernel.json,com.liferay.portal.kernel.portlet,com.liferay.port
 al.kernel.theme",com.liferay.portal.kernel.editor.constants;version="
 1.0.0",com.liferay.portal.kernel.encryptor;version="1.0.0",com.lifera
 y.portal.kernel.events;version="6.3.0";uses:="com.liferay.portal.kern
 el.exception,javax.portlet,javax.servlet.http",com.liferay.portal.ker
 nel.exception;version="13.1.0";uses:="com.liferay.portal.kernel.model
 ,com.liferay.portal.kernel.security.auth,com.liferay.portal.kernel.ut
 il",com.liferay.portal.kernel.facebook;version="7.0.0";uses:="com.lif
 eray.portal.kernel.json,javax.portlet",com.liferay.portal.kernel.feat
 ure.flag;version="1.0.0",com.liferay.portal.kernel.format;version="7.
 0.0",com.liferay.portal.kernel.frontend.esm;version="1.0.0",com.lifer
 ay.portal.kernel.frontend.source.map;version="1.0.0",com.liferay.port
 al.kernel.group.capability;version="1.0.0";uses:="com.liferay.portal.
 kernel.model",com.liferay.portal.kernel.image;version="10.0.0";uses:=
 "com.liferay.portal.kernel.exception,com.liferay.portal.kernel.model"
 ,com.liferay.portal.kernel.increment;version="7.1.0";uses:="com.lifer
 ay.petra.lang",com.liferay.portal.kernel.instance.lifecycle;version="
 2.1.0";uses:="com.liferay.portal.kernel.model",com.liferay.portal.ker
 nel.interval;version="1.0.0";uses:="com.liferay.portal.kernel.excepti
 on",com.liferay.portal.kernel.io;version="9.0.0",com.liferay.portal.k
 ernel.io.constants;version="1.0.0",com.liferay.portal.kernel.io.unsyn
 c;version="8.0.0";uses:="com.liferay.petra.string",com.liferay.portal
 .kernel.jazzy;version="1.0.0",com.liferay.portal.kernel.jmx.model;ver
 sion="7.0.0";uses:="javax.management",com.liferay.portal.kernel.jndi;
 version="7.0.0";uses:="javax.naming",com.liferay.portal.kernel.json;v
 ersion="12.0.0";uses:="com.liferay.petra.function,com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.log",com.liferay.portal.ke
 rnel.jsonwebservice;version="9.0.0";uses:="com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.util,javax.servlet,javax.servlet.
 http",com.liferay.portal.kernel.language;version="11.0.0";uses:="com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.resource.bu
 ndle,javax.portlet,javax.servlet.http",com.liferay.portal.kernel.lang
 uage.constants;version="1.0.0",com.liferay.portal.kernel.layoutconfig
 uration.util;version="4.0.0";uses:="com.liferay.petra.string,com.life
 ray.portal.kernel.model,javax.servlet.http",com.liferay.portal.kernel
 .license;version="1.0.0",com.liferay.portal.kernel.license.messaging;
 version="3.0.0",com.liferay.portal.kernel.license.util;version="1.0.0
 ";uses:="com.liferay.portal.kernel.json,com.liferay.portal.kernel.lic
 ense",com.liferay.portal.kernel.lock;version="9.0.0";uses:="com.lifer
 ay.portal.kernel.exception",com.liferay.portal.kernel.log;version="8.
 0.0",com.liferay.portal.kernel.login;version="1.0.0",com.liferay.port
 al.kernel.lpkg;version="2.0.0",com.liferay.portal.kernel.management;v
 ersion="8.0.0";uses:="com.liferay.portal.kernel.exception",com.lifera
 y.portal.kernel.management.jmx;version="6.2.0";uses:="com.liferay.por
 tal.kernel.jmx.model,com.liferay.portal.kernel.management,javax.manag
 ement",com.liferay.portal.kernel.messaging;version="15.0.0";uses:="co
 m.liferay.portal.kernel.exception",com.liferay.portal.kernel.messagin
 g.async;version="6.2.0",com.liferay.portal.kernel.messaging.config;ve
 rsion="11.0.0";uses:="com.liferay.portal.kernel.messaging",com.lifera
 y.portal.kernel.metadata;version="10.0.0";uses:="com.liferay.dynamic.
 data.mapping.kernel,com.liferay.portal.kernel.exception",com.liferay.
 portal.kernel.microsofttranslator;version="7.0.0";uses:="com.liferay.
 portal.kernel.exception",com.liferay.portal.kernel.mobile.device;vers
 ion="9.0.0";uses:="javax.servlet.http",com.liferay.portal.kernel.mode
 l;version="29.2.0";uses:="com.liferay.asset.kernel.model,com.liferay.
 expando.kernel.model,com.liferay.exportimport.kernel.lar,com.liferay.
 petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kerne
 l.annotation,com.liferay.portal.kernel.application.type,com.liferay.p
 ortal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.json,com.liferay.portal.kernel.model.change.tracking,com.l
 iferay.portal.kernel.model.portlet,com.liferay.portal.kernel.model.wr
 apper,com.liferay.portal.kernel.notifications,com.liferay.portal.kern
 el.plugin,com.liferay.portal.kernel.pop,com.liferay.portal.kernel.por
 tlet,com.liferay.portal.kernel.scheduler,com.liferay.portal.kernel.se
 arch,com.liferay.portal.kernel.security.permission,com.liferay.portal
 .kernel.security.permission.propagator,com.liferay.portal.kernel.serv
 ice,com.liferay.portal.kernel.servlet,com.liferay.portal.kernel.templ
 ate,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.trash,c
 om.liferay.portal.kernel.util,com.liferay.portal.kernel.webdav,com.li
 feray.portal.kernel.workflow,com.liferay.portal.kernel.xml,com.lifera
 y.portal.kernel.xmlrpc,com.liferay.social.kernel.model,javax.portlet,
 javax.servlet,javax.servlet.http",com.liferay.portal.kernel.model.ada
 pter;version="5.1.0";uses:="com.liferay.portal.kernel.model",com.life
 ray.portal.kernel.model.adapter.builder;version="1.0.0",com.liferay.p
 ortal.kernel.model.cache;version="1.0.0",com.liferay.portal.kernel.mo
 del.change.tracking;version="3.0.0";uses:="com.liferay.portal.kernel.
 model",com.liferay.portal.kernel.model.dao;version="2.5.0",com.lifera
 y.portal.kernel.model.impl;version="7.2.0";uses:="com.liferay.expando
 .kernel.model,com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.model,com.liferay.portal.kernel.security.permission,com.lifera
 y.portal.kernel.service,javax.servlet.http",com.liferay.portal.kernel
 .model.portlet;version="2.0.0";uses:="com.liferay.petra.string,javax.
 portlet",com.liferay.portal.kernel.model.role;version="1.2.0",com.lif
 eray.portal.kernel.model.version;version="3.0.0",com.liferay.portal.k
 ernel.model.wrapper;version="3.0.0";uses:="com.liferay.expando.kernel
 .model,com.liferay.portal.kernel.model,com.liferay.portal.kernel.serv
 ice",com.liferay.portal.kernel.module.configuration;version="2.1.0";u
 ses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.m
 odel,com.liferay.portal.kernel.settings",com.liferay.portal.kernel.mo
 dule.framework;version="1.4.0",com.liferay.portal.kernel.module.frame
 work.service;version="1.0.1";uses:="com.liferay.portal.kernel.transac
 tion,com.liferay.portal.kernel.util",com.liferay.portal.kernel.monito
 ring;version="8.0.0";uses:="com.liferay.portal.kernel.exception,javax
 .portlet",com.liferay.portal.kernel.notifications;version="11.1.0";us
 es:="com.liferay.asset.kernel.model,com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.json,com.liferay.portal.kernel.model,com
 .liferay.portal.kernel.service",com.liferay.portal.kernel.openid;vers
 ion="1.0.0",com.liferay.portal.kernel.parsers.bbcode;version="7.0.0",
 com.liferay.portal.kernel.patcher;version="8.0.0",com.liferay.portal.
 kernel.plugin;version="7.0.0";uses:="com.liferay.portal.kernel.util",
 com.liferay.portal.kernel.pop;version="7.0.0";uses:="com.liferay.port
 al.kernel.exception,javax.mail",com.liferay.portal.kernel.portlet;ver
 sion="24.1.0";uses:="com.liferay.asset.kernel.model,com.liferay.expan
 do.kernel.model,com.liferay.exportimport.kernel.lar,com.liferay.osgi.
 service.tracker.collections.map,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.json,com.liferay.portal.kernel.model,com.lif
 eray.portal.kernel.notifications,com.liferay.portal.kernel.pop,com.li
 feray.portal.kernel.search,com.liferay.portal.kernel.security.permiss
 ion,com.liferay.portal.kernel.security.permission.propagator,com.life
 ray.portal.kernel.servlet,com.liferay.portal.kernel.settings,com.life
 ray.portal.kernel.template,com.liferay.portal.kernel.theme,com.lifera
 y.portal.kernel.trash,com.liferay.portal.kernel.util,com.liferay.port
 al.kernel.webdav,com.liferay.portal.kernel.workflow,com.liferay.porta
 l.kernel.xml,com.liferay.portal.kernel.xmlrpc,com.liferay.social.kern
 el.model,javax.portlet,javax.portlet.annotations,javax.portlet.filter
 ,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.portlet.
 async;version="1.0.1";uses:="javax.portlet",com.liferay.portal.kernel
 .portlet.bridges.mvc;version="6.1.0";uses:="com.liferay.portal.kernel
 .portlet,com.liferay.portal.kernel.transaction,javax.portlet",com.lif
 eray.portal.kernel.portlet.bridges.mvc.constants;version="1.0.0",com.
 liferay.portal.kernel.portlet.configuration.icon;version="5.0.0";uses
 :="com.liferay.osgi.service.tracker.collections.map,javax.portlet,jav
 ax.servlet,javax.servlet.http,org.osgi.framework",com.liferay.portal.
 kernel.portlet.configuration.icon.locator;version="1.0.0";uses:="java
 x.portlet",com.liferay.portal.kernel.portlet.constants;version="1.4.0
 ",com.liferay.portal.kernel.portlet.render;version="1.0.0";uses:="com
 .liferay.portal.kernel.model,javax.servlet.http",com.liferay.portal.k
 ernel.portlet.toolbar;version="1.0.0";uses:="com.liferay.portal.kerne
 l.servlet.taglib.ui,javax.portlet",com.liferay.portal.kernel.portlet.
 toolbar.contributor;version="1.1.0";uses:="com.liferay.portal.kernel.
 servlet.taglib.ui,javax.portlet",com.liferay.portal.kernel.portlet.to
 olbar.contributor.locator;version="1.0.0";uses:="com.liferay.portal.k
 ernel.portlet.toolbar.contributor,javax.portlet",com.liferay.portal.k
 ernel.portlet.url.builder;version="2.0.0";uses:="com.liferay.portal.k
 ernel.portlet,javax.portlet,javax.portlet.annotations",com.liferay.po
 rtal.kernel.portletdisplaytemplate;version="6.4.1";uses:="com.liferay
 .dynamic.data.mapping.kernel,com.liferay.portal.kernel.template,javax
 .servlet.http",com.liferay.portal.kernel.portletfilerepository;versio
 n="5.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.model,com.liferay.portal.kernel.repository.model,com.lifera
 y.portal.kernel.search,com.liferay.portal.kernel.service,com.liferay.
 portal.kernel.theme,com.liferay.portal.kernel.util",com.liferay.porta
 l.kernel.redirect;version="1.0.0",com.liferay.portal.kernel.regex;ver
 sion="1.0.0",com.liferay.portal.kernel.repository;version="13.0.0";us
 es:="com.liferay.asset.kernel.service,com.liferay.document.library.ke
 rnel.model,com.liferay.document.library.kernel.service,com.liferay.po
 rtal.kernel.exception,com.liferay.portal.kernel.lock,com.liferay.port
 al.kernel.model,com.liferay.portal.kernel.repository.capabilities,com
 .liferay.portal.kernel.repository.model,com.liferay.portal.kernel.res
 ource.bundle,com.liferay.portal.kernel.search,com.liferay.portal.kern
 el.service,com.liferay.portal.kernel.util",com.liferay.portal.kernel.
 repository.capabilities;version="2.0.0";uses:="com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.repository,com.liferay.portal
 .kernel.repository.event,com.liferay.portal.kernel.repository.model,c
 om.liferay.portal.kernel.service,com.liferay.portal.kernel.util",com.
 liferay.portal.kernel.repository.event;version="1.1.0";uses:="com.lif
 eray.portal.kernel.exception,com.liferay.portal.kernel.repository.mod
 el,com.liferay.portal.kernel.repository.registry",com.liferay.portal.
 kernel.repository.friendly.url.resolver;version="2.0.0";uses:="com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.repository.mo
 del",com.liferay.portal.kernel.repository.http.header.customizer;vers
 ion="1.0.0";uses:="com.liferay.portal.kernel.repository.model",com.li
 feray.portal.kernel.repository.model;version="11.2.0";uses:="com.life
 ray.expando.kernel.model,com.liferay.exportimport.kernel.lar,com.life
 ray.portal.kernel.exception,com.liferay.portal.kernel.json,com.lifera
 y.portal.kernel.lock,com.liferay.portal.kernel.model,com.liferay.port
 al.kernel.repository.capabilities,com.liferay.portal.kernel.security.
 permission,com.liferay.portal.kernel.util",com.liferay.portal.kernel.
 repository.proxy;version="7.0.0";uses:="com.liferay.asset.kernel.serv
 ice,com.liferay.document.library.kernel.model,com.liferay.document.li
 brary.kernel.service,com.liferay.expando.kernel.model,com.liferay.exp
 ortimport.kernel.lar,com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.lock,com.liferay.portal.kernel.repository,com.liferay.p
 ortal.kernel.repository.capabilities,com.liferay.portal.kernel.reposi
 tory.model,com.liferay.portal.kernel.search,com.liferay.portal.kernel
 .security.permission,com.liferay.portal.kernel.service,com.liferay.po
 rtal.kernel.util",com.liferay.portal.kernel.repository.registry;versi
 on="1.1.0";uses:="com.liferay.portal.kernel.repository,com.liferay.po
 rtal.kernel.repository.capabilities,com.liferay.portal.kernel.reposit
 ory.event",com.liferay.portal.kernel.repository.search;version="7.0.0
 ";uses:="com.liferay.portal.kernel.search",com.liferay.portal.kernel.
 repository.util;version="3.1.0";uses:="com.liferay.portal.kernel.repo
 sitory.model",com.liferay.portal.kernel.resource;version="6.3.0",com.
 liferay.portal.kernel.resource.bundle;version="1.0.0",com.liferay.por
 tal.kernel.resource.manager;version="1.0.0";uses:="com.liferay.portal
 .kernel.resource",com.liferay.portal.kernel.sanitizer;version="8.0.0"
 ;uses:="com.liferay.portal.kernel.exception",com.liferay.portal.kerne
 l.scheduler;version="18.0.0";uses:="com.liferay.petra.function,com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.messaging,com
 .liferay.portal.kernel.scheduler.messaging,javax.portlet",com.liferay
 .portal.kernel.scheduler.messaging;version="10.0.0";uses:="com.lifera
 y.portal.kernel.messaging,com.liferay.portal.kernel.scheduler",com.li
 feray.portal.kernel.scripting;version="9.0.0";uses:="com.liferay.port
 al.kernel.exception,javax.portlet",com.liferay.portal.kernel.search;v
 ersion="20.1.0";uses:="com.liferay.asset.kernel.model,com.liferay.exp
 ando.kernel.model,com.liferay.petra.function,com.liferay.petra.string
 ,com.liferay.portal.kernel.backgroundtask,com.liferay.portal.kernel.c
 omment,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 json,com.liferay.portal.kernel.model,com.liferay.portal.kernel.portle
 t,com.liferay.portal.kernel.repository.model,com.liferay.portal.kerne
 l.search.facet,com.liferay.portal.kernel.search.filter,com.liferay.po
 rtal.kernel.search.geolocation,com.liferay.portal.kernel.search.query
 ,com.liferay.portal.kernel.search.suggest,com.liferay.portal.kernel.s
 ecurity.permission,com.liferay.portal.kernel.theme,com.liferay.portal
 .kernel.xml,javax.portlet,javax.servlet.http",com.liferay.portal.kern
 el.search.analysis;version="2.0.0";uses:="com.liferay.portal.kernel.s
 earch",com.liferay.portal.kernel.search.background.task;version="2.1.
 0",com.liferay.portal.kernel.search.dummy;version="5.0.0";uses:="com.
 liferay.portal.kernel.search,com.liferay.portal.kernel.search.filter,
 com.liferay.portal.kernel.search.suggest,com.liferay.portal.kernel.se
 curity.permission,javax.portlet",com.liferay.portal.kernel.search.fac
 et;version="9.0.0";uses:="com.liferay.portal.kernel.json,com.liferay.
 portal.kernel.search,com.liferay.portal.kernel.search.facet.collector
 ,com.liferay.portal.kernel.search.facet.config,com.liferay.portal.ker
 nel.search.facet.util,com.liferay.portal.kernel.search.filter",com.li
 feray.portal.kernel.search.facet.collector;version="6.3.0",com.lifera
 y.portal.kernel.search.facet.config;version="8.0.0";uses:="com.lifera
 y.portal.kernel.json",com.liferay.portal.kernel.search.facet.faceted.
 searcher;version="2.0.0";uses:="com.liferay.portal.kernel.search",com
 .liferay.portal.kernel.search.facet.util;version="7.0.0";uses:="com.l
 iferay.portal.kernel.search,com.liferay.portal.kernel.search.facet",c
 om.liferay.portal.kernel.search.filter;version="1.0.0";uses:="com.lif
 eray.portal.kernel.search,com.liferay.portal.kernel.search.geolocatio
 n",com.liferay.portal.kernel.search.generic;version="3.0.0";uses:="co
 m.liferay.portal.kernel.search,com.liferay.portal.kernel.search.filte
 r,com.liferay.portal.kernel.search.query",com.liferay.portal.kernel.s
 earch.geolocation;version="1.0.0",com.liferay.portal.kernel.search.hi
 ghlight;version="1.0.0";uses:="com.liferay.portal.kernel.search",com.
 liferay.portal.kernel.search.hits;version="2.0.0";uses:="com.liferay.
 portal.kernel.search",com.liferay.portal.kernel.search.query;version=
 "2.0.0";uses:="com.liferay.portal.kernel.search,com.liferay.portal.ke
 rnel.search.generic",com.liferay.portal.kernel.search.reindexer;versi
 on="1.0.0",com.liferay.portal.kernel.search.result;version="1.0.0";us
 es:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.se
 arch,javax.portlet",com.liferay.portal.kernel.search.suggest;version=
 "3.1.1";uses:="com.liferay.portal.kernel.search",com.liferay.portal.k
 ernel.security;version="6.2.0",com.liferay.portal.kernel.security.acc
 ess.control;version="2.0.0";uses:="com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.security.auth,com.liferay.portal.kernel.s
 ecurity.auth.verifier,javax.servlet.http",com.liferay.portal.kernel.s
 ecurity.auth;version="6.0.0";uses:="com.liferay.petra.lang,com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay
 .portal.kernel.portlet,com.liferay.portal.kernel.security.auth.verifi
 er,com.liferay.portal.kernel.security.permission,javax.servlet.http,o
 rg.osgi.framework,org.osgi.util.tracker",com.liferay.portal.kernel.se
 curity.auth.http;version="1.1.0";uses:="com.liferay.portal.kernel.exc
 eption,javax.servlet.http",com.liferay.portal.kernel.security.auth.se
 ssion;version="1.0.0";uses:="com.liferay.portal.kernel.exception,java
 x.servlet.http",com.liferay.portal.kernel.security.auth.tunnel;versio
 n="1.0.0";uses:="com.liferay.portal.kernel.security.auth,javax.servle
 t.http",com.liferay.portal.kernel.security.auth.verifier;version="2.0
 .0";uses:="com.liferay.portal.kernel.security.auth",com.liferay.porta
 l.kernel.security.auto.login;version="2.0.0";uses:="com.liferay.porta
 l.kernel.exception,javax.servlet.http",com.liferay.portal.kernel.secu
 rity.exportimport;version="1.0.0",com.liferay.portal.kernel.security.
 jaas;version="7.0.0";uses:="javax.security.auth,javax.security.auth.c
 allback,javax.security.auth.login,javax.security.auth.spi",com.lifera
 y.portal.kernel.security.ldap;version="2.0.0";uses:="javax.naming.dir
 ectory",com.liferay.portal.kernel.security.membershippolicy;version="
 1.0.0";uses:="com.liferay.asset.kernel.model,com.liferay.portal.kerne
 l.exception,com.liferay.portal.kernel.model,com.liferay.portal.kernel
 .security.permission,com.liferay.portal.kernel.util",com.liferay.port
 al.kernel.security.permission;version="6.5.0";uses:="com.liferay.petr
 a.sql.dsl,com.liferay.petra.sql.dsl.expression,com.liferay.petra.sql.
 dsl.query,com.liferay.portal.kernel.exception,com.liferay.portal.kern
 el.model,com.liferay.portal.kernel.security.permission.contributor,co
 m.liferay.portal.kernel.security.permission.propagator,com.liferay.po
 rtal.kernel.xml,javax.servlet.http",com.liferay.portal.kernel.securit
 y.permission.comparator;version="1.0.0",com.liferay.portal.kernel.sec
 urity.permission.contributor;version="1.0.0";uses:="com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.security.permission",com.lif
 eray.portal.kernel.security.permission.propagator;version="1.0.0";use
 s:="com.liferay.portal.kernel.exception,javax.portlet",com.liferay.po
 rtal.kernel.security.permission.resource;version="2.2.0";uses:="com.l
 iferay.exportimport.kernel.staging.permission,com.liferay.petra.funct
 ion,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mod
 el,com.liferay.portal.kernel.security.auth,com.liferay.portal.kernel.
 security.permission,com.liferay.portal.kernel.service,com.liferay.por
 tal.kernel.workflow.permission",com.liferay.portal.kernel.security.pe
 rmission.resource.definition;version="1.0.1";uses:="com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.security.permission.resource",com.liferay.portal.kernel.secur
 ity.permission.wrapper;version="1.0.0";uses:="com.liferay.portal.kern
 el.model,com.liferay.portal.kernel.security.permission,com.liferay.po
 rtal.kernel.security.permission.contributor",com.liferay.portal.kerne
 l.security.pwd;version="4.0.0";uses:="com.liferay.portal.kernel.excep
 tion,com.liferay.portal.kernel.model",com.liferay.portal.kernel.secur
 ity.service.access.policy;version="1.1.0",com.liferay.portal.kernel.s
 ecurity.sso;version="1.0.0";uses:="javax.servlet.http",com.liferay.po
 rtal.kernel.security.xml;version="2.0.0";uses:="javax.xml.parsers,jav
 ax.xml.stream,javax.xml.transform,org.xml.sax",com.liferay.portal.ker
 nel.service;version="23.0.0";uses:="com.liferay.announcements.kernel.
 model,com.liferay.expando.kernel.model,com.liferay.exportimport.kerne
 l.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,com.
 liferay.portal.kernel.cache.thread.local,com.liferay.portal.kernel.ch
 ange.tracking,com.liferay.portal.kernel.cluster,com.liferay.portal.ke
 rnel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.k
 ernel.json,com.liferay.portal.kernel.jsonwebservice,com.liferay.porta
 l.kernel.messaging.async,com.liferay.portal.kernel.model,com.liferay.
 portal.kernel.notifications,com.liferay.portal.kernel.plugin,com.life
 ray.portal.kernel.portlet,com.liferay.portal.kernel.repository.model,
 com.liferay.portal.kernel.search,com.liferay.portal.kernel.security.a
 ccess.control,com.liferay.portal.kernel.security.auth,com.liferay.por
 tal.kernel.security.permission,com.liferay.portal.kernel.service.chan
 ge.tracking,com.liferay.portal.kernel.service.configuration,com.lifer
 ay.portal.kernel.service.permission,com.liferay.portal.kernel.service
 .persistence,com.liferay.portal.kernel.service.persistence.change.tra
 cking,com.liferay.portal.kernel.settings,com.liferay.portal.kernel.sp
 ring.aop,com.liferay.portal.kernel.systemevent,com.liferay.portal.ker
 nel.theme,com.liferay.portal.kernel.transaction,com.liferay.portal.ke
 rnel.upgrade,com.liferay.portal.kernel.util,com.liferay.portal.kernel
 .xml,javax.portlet,javax.servlet,javax.servlet.http",com.liferay.port
 al.kernel.service.change.tracking;version="1.0.0";uses:="com.liferay.
 petra.function,com.liferay.portal.kernel.model.change.tracking,com.li
 feray.portal.kernel.service.persistence.change.tracking,com.liferay.p
 ortal.kernel.transaction",com.liferay.portal.kernel.service.configura
 tion;version="1.1.1",com.liferay.portal.kernel.service.configuration.
 servlet;version="1.1.0";uses:="com.liferay.portal.kernel.service.conf
 iguration,javax.servlet",com.liferay.portal.kernel.service.http;versi
 on="1.0.0";uses:="com.liferay.portal.kernel.security.auth,com.liferay
 .portal.kernel.util",com.liferay.portal.kernel.service.permission;ver
 sion="5.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.security.auth,com.lifera
 y.portal.kernel.security.permission,javax.portlet,javax.servlet.http"
 ,com.liferay.portal.kernel.service.persistence;version="21.1.0";uses:
 ="com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.db,co
 m.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.model,com.liferay.portal.kernel.service,com.
 liferay.portal.kernel.service.persistence.change.tracking,com.liferay
 .portal.kernel.util,javax.sql",com.liferay.portal.kernel.service.pers
 istence.change.tracking;version="1.4.0";uses:="com.liferay.portal.ker
 nel.change.tracking,com.liferay.portal.kernel.model.change.tracking,c
 om.liferay.portal.kernel.service.persistence",com.liferay.portal.kern
 el.service.persistence.change.tracking.helper;version="1.1.0";uses:="
 com.liferay.portal.kernel.model.change.tracking",com.liferay.portal.k
 ernel.service.persistence.impl;version="4.1.0";uses:="com.liferay.pet
 ra.sql.dsl,com.liferay.petra.sql.dsl.query,com.liferay.petra.string,c
 om.liferay.portal.kernel.configuration,com.liferay.portal.kernel.dao.
 db,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.except
 ion,com.liferay.portal.kernel.model,com.liferay.portal.kernel.service
 ,com.liferay.portal.kernel.service.persistence,com.liferay.portal.ker
 nel.util,javax.sql",com.liferay.portal.kernel.service.version;version
 ="1.1.0";uses:="com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.model.version",com.liferay.portal.kernel.servlet;version="11
 .2.0";uses:="com.liferay.petra.string,com.liferay.portal.kernel.log,c
 om.liferay.portal.kernel.util,javax.portlet,javax.servlet,javax.servl
 et.http",com.liferay.portal.kernel.servlet.filters.compoundsessionid;
 version="7.0.0";uses:="com.liferay.portal.kernel.servlet,javax.servle
 t.http",com.liferay.portal.kernel.servlet.filters.invoker;version="10
 .0.0";uses:="com.liferay.portal.kernel.util,javax.servlet,javax.servl
 et.http",com.liferay.portal.kernel.servlet.taglib;version="9.0.0";use
 s:="com.liferay.petra.string,com.liferay.portal.kernel.log,javax.serv
 let,javax.servlet.http",com.liferay.portal.kernel.servlet.taglib.aui;
 version="10.1.0";uses:="com.liferay.petra.string,com.liferay.portal.k
 ernel.util",com.liferay.portal.kernel.servlet.taglib.ui;version="11.0
 .0";uses:="com.liferay.petra.string,com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.model,com.liferay.portal.kernel.util,jav
 ax.servlet,javax.servlet.http",com.liferay.portal.kernel.servlet.tagl
 ib.util;version="7.0.0";uses:="com.liferay.petra.string,com.liferay.p
 ortal.kernel.util",com.liferay.portal.kernel.settings;version="4.0.0"
 ;uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel
 .model,com.liferay.portal.kernel.resource.manager,com.liferay.portal.
 kernel.settings.definition,javax.portlet",com.liferay.portal.kernel.s
 ettings.definition;version="2.0.0",com.liferay.portal.kernel.social;v
 ersion="2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.model,com.liferay.social.kernel.service",com.liferay.p
 ortal.kernel.spring.aop;version="7.0.0";uses:="com.liferay.portal.ker
 nel.service",com.liferay.portal.kernel.spring.orm;version="1.0.0",com
 .liferay.portal.kernel.spring.osgi;version="2.0.0",com.liferay.portal
 .kernel.spring.util;version="7.0.0",com.liferay.portal.kernel.struts;
 version="8.0.0";uses:="javax.servlet.http",com.liferay.portal.kernel.
 systemevent;version="6.2.0",com.liferay.portal.kernel.template;versio
 n="14.1.0";uses:="com.liferay.dynamic.data.mapping.kernel,com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.xml,javax.servlet.
 http",com.liferay.portal.kernel.template.comparator;version="6.2.0";u
 ses:="com.liferay.portal.kernel.template",com.liferay.portal.kernel.t
 emplateparser;version="8.0.0";uses:="com.liferay.portal.kernel.except
 ion,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.xml",co
 m.liferay.portal.kernel.terms.of.use;version="1.0.1";uses:="javax.ser
 vlet.http",com.liferay.portal.kernel.theme;version="10.5.0";uses:="co
 m.liferay.petra.string,com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.json,com.liferay.portal.kernel.mobile.device,com.life
 ray.portal.kernel.model,com.liferay.portal.kernel.module.configuratio
 n,com.liferay.portal.kernel.portlet.configuration.icon,com.liferay.po
 rtal.kernel.portlet.toolbar,com.liferay.portal.kernel.security.permis
 sion,com.liferay.portal.kernel.util,javax.portlet,javax.servlet,javax
 .servlet.http",com.liferay.portal.kernel.transaction;version="8.1.0",
 com.liferay.portal.kernel.trash;version="14.0.0";uses:="com.liferay.a
 sset.kernel.model,com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.model,com.liferay.portal.kernel.search,com.liferay.portal.
 kernel.search.filter,com.liferay.portal.kernel.security.permission,co
 m.liferay.portal.kernel.service,com.liferay.portal.kernel.util,com.li
 feray.trash.kernel.model,javax.portlet",com.liferay.portal.kernel.tra
 sh.helper;version="1.1.0";uses:="com.liferay.portal.kernel.exception,
 com.liferay.portal.kernel.model,javax.portlet,javax.servlet.http",com
 .liferay.portal.kernel.tree;version="2.1.1";uses:="com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.model",com.liferay.portal
 .kernel.upgrade;version="21.0.0";uses:="com.liferay.petra.lang,com.li
 feray.portal.kernel.dao.db,com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.resource.bundle,com.liferay.portal.kernel.service
 ,com.liferay.portal.kernel.util,com.liferay.portal.kernel.xml,javax.p
 ortlet",com.liferay.portal.kernel.upgrade.util;version="11.0.0";uses:
 ="com.liferay.portal.kernel.model,com.liferay.portal.kernel.upgrade,c
 om.liferay.portal.kernel.version",com.liferay.portal.kernel.upload;ve
 rsion="10.0.0";uses:="com.liferay.portal.kernel.exception,javax.portl
 et,javax.servlet.http",com.liferay.portal.kernel.upload.configuration
 ;version="1.0.0",com.liferay.portal.kernel.url;version="1.1.0";uses:=
 "javax.servlet",com.liferay.portal.kernel.url.validator;version="1.0.
 0",com.liferay.portal.kernel.util;version="59.1.0";uses:="com.liferay
 .expando.kernel.model,com.liferay.mail.kernel.model,com.liferay.petra
 .process,com.liferay.petra.sql.dsl.query.sort,com.liferay.petra.strin
 g,com.liferay.portal.kernel.configuration,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.group.capability,com.liferay.porta
 l.kernel.io,com.liferay.portal.kernel.io.unsync,com.liferay.portal.ke
 rnel.json,com.liferay.portal.kernel.model,com.liferay.portal.kernel.p
 ortlet,com.liferay.portal.kernel.repository.model,com.liferay.portal.
 kernel.resource.bundle,com.liferay.portal.kernel.security.permission,
 com.liferay.portal.kernel.service,com.liferay.portal.kernel.settings,
 com.liferay.portal.kernel.spring.osgi,com.liferay.portal.kernel.theme
 ,com.liferay.portal.kernel.upload,com.liferay.portal.kernel.xml,javax
 .mail,javax.mail.internet,javax.portlet,javax.servlet,javax.servlet.h
 ttp,javax.sql",com.liferay.portal.kernel.util.comparator;version="3.1
 .0";uses:="com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 portlet.configuration.icon,com.liferay.portal.kernel.util,javax.servl
 et",com.liferay.portal.kernel.uuid;version="6.2.0",com.liferay.portal
 .kernel.verify.model;version="2.1.0",com.liferay.portal.kernel.versio
 n;version="1.1.0",com.liferay.portal.kernel.view.count;version="1.2.0
 ";uses:="com.liferay.petra.sql.dsl,com.liferay.portal.kernel.exceptio
 n",com.liferay.portal.kernel.webcache;version="6.2.0";uses:="com.life
 ray.portal.kernel.exception",com.liferay.portal.kernel.webdav;version
 ="10.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.lock,com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.security.permission,com.liferay.portal.kernel.webdav.methods,com.
 liferay.portal.kernel.xml,javax.servlet.http",com.liferay.portal.kern
 el.webdav.methods;version="6.2.0";uses:="com.liferay.portal.kernel.we
 bdav,javax.servlet.http",com.liferay.portal.kernel.webserver;version=
 "1.0.0",com.liferay.portal.kernel.words;version="2.0.0";uses:="com.li
 feray.portal.kernel.jazzy",com.liferay.portal.kernel.workflow;version
 ="18.2.0";uses:="com.liferay.asset.kernel.model,com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.portlet,com.liferay.portal.kernel.service,com.liferay.portal.kern
 el.util,com.liferay.portal.kernel.workflow.search,javax.portlet,javax
 .servlet.http",com.liferay.portal.kernel.workflow.comparator;version=
 "8.0.0";uses:="com.liferay.portal.kernel.util,com.liferay.portal.kern
 el.workflow",com.liferay.portal.kernel.workflow.permission;version="7
 .0.0";uses:="com.liferay.portal.kernel.security.permission",com.lifer
 ay.portal.kernel.workflow.search;version="1.0.0";uses:="com.liferay.p
 ortal.kernel.workflow",com.liferay.portal.kernel.xml;version="7.1.0";
 uses:="org.xml.sax",com.liferay.portal.kernel.xml.simple;version="6.2
 .0",com.liferay.portal.kernel.xmlrpc;version="6.2.0";uses:="com.lifer
 ay.portal.kernel.exception",com.liferay.portal.kernel.zip;version="6.
 4.2",com.liferay.portlet.configuration.kernel.util;version="1.0.0";us
 es:="javax.portlet",com.liferay.ratings.kernel;version="1.2.0",com.li
 feray.ratings.kernel.definition;version="1.1.0";uses:="com.liferay.po
 rtal.kernel.exception,com.liferay.ratings.kernel",com.liferay.ratings
 .kernel.display.context;version="1.0.0";uses:="com.liferay.portal.ker
 nel.util,com.liferay.ratings.kernel,javax.portlet,javax.servlet.http"
 ,com.liferay.ratings.kernel.exception;version="1.0.0";uses:="com.life
 ray.portal.kernel.exception",com.liferay.ratings.kernel.model;version
 ="4.1.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.petra
 .sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.ann
 otation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.model.change.tracking,com.liferay.portal.
 kernel.model.wrapper,com.liferay.portal.kernel.util",com.liferay.rati
 ngs.kernel.service;version="2.7.0";uses:="com.liferay.exportimport.ke
 rnel.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,c
 om.liferay.portal.kernel.change.tracking,com.liferay.portal.kernel.da
 o.orm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.j
 sonwebservice,com.liferay.portal.kernel.model,com.liferay.portal.kern
 el.search,com.liferay.portal.kernel.security.access.control,com.lifer
 ay.portal.kernel.service,com.liferay.portal.kernel.service.change.tra
 cking,com.liferay.portal.kernel.service.persistence.change.tracking,c
 om.liferay.portal.kernel.systemevent,com.liferay.portal.kernel.transa
 ction,com.liferay.portal.kernel.util,com.liferay.ratings.kernel.model
 ",com.liferay.ratings.kernel.service.persistence;version="4.3.0";uses
 :="com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.servic
 e,com.liferay.portal.kernel.service.persistence,com.liferay.portal.ke
 rnel.service.persistence.change.tracking,com.liferay.portal.kernel.ut
 il,com.liferay.ratings.kernel.exception,com.liferay.ratings.kernel.mo
 del",com.liferay.ratings.kernel.transformer;version="1.0.0";uses:="co
 m.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.util,com.liferay.ratings.kernel,com.liferay.
 ratings.kernel.model,javax.portlet",com.liferay.roles.admin.kernel.ut
 il;version="2.0.0";uses:="com.liferay.portal.kernel.model",com.lifera
 y.sites.kernel.util;version="1.4.0";uses:="com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.s
 ecurity.permission,com.liferay.portal.kernel.service,javax.portlet,ja
 vax.servlet.http",com.liferay.social.kernel.exception;version="1.0.0"
 ;uses:="com.liferay.portal.kernel.exception",com.liferay.social.kerne
 l.model;version="6.1.0";uses:="com.liferay.asset.kernel.model,com.lif
 eray.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.
 kernel.annotation,com.liferay.portal.kernel.bean,com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.json,com.liferay.portal.ker
 nel.model,com.liferay.portal.kernel.model.change.tracking,com.liferay
 .portal.kernel.model.wrapper,com.liferay.portal.kernel.resource.bundl
 e,com.liferay.portal.kernel.security.permission,com.liferay.portal.ke
 rnel.service,com.liferay.portal.kernel.theme,com.liferay.portal.kerne
 l.util",com.liferay.social.kernel.model.impl;version="1.0.0";uses:="c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.security
 .permission,com.liferay.portal.kernel.service,com.liferay.portal.kern
 el.theme,com.liferay.social.kernel.model",com.liferay.social.kernel.s
 ervice;version="3.2.0";uses:="com.liferay.asset.kernel.model,com.life
 ray.petra.function,com.liferay.petra.sql.dsl.query,com.liferay.portal
 .kernel.change.tracking,com.liferay.portal.kernel.dao.orm,com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.p
 ortal.kernel.jsonwebservice,com.liferay.portal.kernel.messaging.async
 ,com.liferay.portal.kernel.model,com.liferay.portal.kernel.search,com
 .liferay.portal.kernel.security.access.control,com.liferay.portal.ker
 nel.service,com.liferay.portal.kernel.service.change.tracking,com.lif
 eray.portal.kernel.service.persistence.change.tracking,com.liferay.po
 rtal.kernel.theme,com.liferay.portal.kernel.transaction,com.liferay.p
 ortal.kernel.util,com.liferay.social.kernel.model",com.liferay.social
 .kernel.service.permission;version="1.0.0";uses:="com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.security.permission",com.l
 iferay.social.kernel.service.persistence;version="4.3.0";uses:="com.l
 iferay.portal.kernel.dao.orm,com.liferay.portal.kernel.service,com.li
 feray.portal.kernel.service.persistence,com.liferay.portal.kernel.ser
 vice.persistence.change.tracking,com.liferay.portal.kernel.util,com.l
 iferay.social.kernel.exception,com.liferay.social.kernel.model",com.l
 iferay.social.kernel.util;version="1.0.0";uses:="com.liferay.portal.k
 ernel.service,com.liferay.social.kernel.model,javax.servlet.http",com
 .liferay.social.kernel.util.comparator;version="1.1.0";uses:="com.lif
 eray.portal.kernel.util,com.liferay.social.kernel.model",com.liferay.
 trash.kernel.model;version="6.0.0";uses:="com.liferay.expando.kernel.
 model,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.
 bean,com.liferay.portal.kernel.model,com.liferay.portal.kernel.servic
 e,com.liferay.portal.kernel.util",com.liferay.users.admin.kernel.file
 .uploads;version="2.0.0",com.liferay.users.admin.kernel.organization.
 types;version="1.0.1",com.liferay.users.admin.kernel.util;version="2.
 0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ke
 rnel.model,com.liferay.portal.kernel.search,com.liferay.portal.kernel
 .security.permission,com.liferay.portal.kernel.util,javax.portlet,jav
 ax.servlet.http"
Git-Descriptor: ad8059a6dc8ab-dirty
Git-SHA: ad8059a6dc8abb32564203a3ddadeebb507d0803
Import-Package: com.liferay.announcements.kernel.exception;version="[1
 .0,2)",com.liferay.announcements.kernel.model;version="[4.1,4.2)",com
 .liferay.asset.kernel.exception;version="[3.0,4)",com.liferay.asset.k
 ernel.model;version="[9.2,9.3)",com.liferay.asset.kernel.service;vers
 ion="[8.1,8.2)",com.liferay.asset.kernel.service.persistence;version=
 "[10.1,11)",com.liferay.counter.kernel.service;version="[2.2,2.3)",co
 m.liferay.document.library.kernel.exception;version="[4.2,5)",com.lif
 eray.document.library.kernel.model;version="[8.2,8.3)",com.liferay.do
 cument.library.kernel.service;version="[11.2,11.3)",com.liferay.docum
 ent.library.kernel.store;version="[4.1,5)",com.liferay.document.libra
 ry.kernel.util;version="[8.0,9)",com.liferay.dynamic.data.mapping.ker
 nel;version="[3.0,4)",com.liferay.expando.kernel.exception;version="[
 2.0,3)",com.liferay.expando.kernel.model;version="[6.0,6.1)",com.life
 ray.expando.kernel.util;version="[4.0,5)",com.liferay.exportimport.ke
 rnel.exception;version="[2.1,3)",com.liferay.exportimport.kernel.mode
 l;version="[6.0,6.1)",com.liferay.exportimport.kernel.service;version
 ="[2.9,2.10)",com.liferay.exportimport.kernel.staging;version="[2.3,3
 )",com.liferay.exportimport.kernel.staging.permission;version="[1.0,2
 )",com.liferay.layout.admin.kernel.model;version="[1.0,2)",com.lifera
 y.mail.kernel.model;version="[1.1,2)",com.liferay.mail.kernel.service
 ;version="[5.0,6)",com.liferay.mail.kernel.template;version="[2.0,3)"
 ,com.liferay.osgi.service.tracker.collections.list,com.liferay.osgi.s
 ervice.tracker.collections.map,com.liferay.petra.concurrent,com.lifer
 ay.petra.executor,com.liferay.petra.function,com.liferay.petra.functi
 on.transform,com.liferay.petra.io.unsync,com.liferay.petra.lang,com.l
 iferay.petra.memory,com.liferay.petra.nio,com.liferay.petra.process,c
 om.liferay.petra.reflect,com.liferay.petra.sql.dsl,com.liferay.petra.
 sql.dsl.ast,com.liferay.petra.sql.dsl.base,com.liferay.petra.sql.dsl.
 expression,com.liferay.petra.sql.dsl.query,com.liferay.petra.sql.dsl.
 query.sort,com.liferay.petra.sql.dsl.spi.ast,com.liferay.petra.sql.ds
 l.spi.expression,com.liferay.petra.sql.dsl.spi.query,com.liferay.petr
 a.string,com.liferay.portal.kernel.annotation;version="[7.0,8)",com.l
 iferay.portal.kernel.application.type;version="[1.0,2)",com.liferay.p
 ortal.kernel.backgroundtask;version="[11.0,12)",com.liferay.portal.ke
 rnel.backgroundtask.display;version="[3.0,4)",com.liferay.portal.kern
 el.bean;version="[10.1,11)",com.liferay.portal.kernel.cache.thread.lo
 cal;version="[2.0,3)",com.liferay.portal.kernel.cal;version="[7.0,8)"
 ,com.liferay.portal.kernel.change.tracking;version="[2.2,3)",com.life
 ray.portal.kernel.change.tracking.sql;version="[1.0,2)",com.liferay.p
 ortal.kernel.comment;version="[4.0,4.1)",com.liferay.portal.kernel.co
 ncurrent;version="[8.0,9)",com.liferay.portal.kernel.configuration;ve
 rsion="[7.0,8)",com.liferay.portal.kernel.cookies;version="[3.1,4)",c
 om.liferay.portal.kernel.dao.db;version="[12.1,13)",com.liferay.porta
 l.kernel.dao.orm;version="[12.0,12.1)",com.liferay.portal.kernel.dao.
 search;version="[9.0,10)",com.liferay.portal.kernel.deploy.auto.conte
 xt;version="[7.0,8)",com.liferay.portal.kernel.deploy.hot;version="[7
 .1,8)",com.liferay.portal.kernel.exception;version="[13.1,14)",com.li
 feray.portal.kernel.frontend.esm;version="[1.0,2)",com.liferay.portal
 .kernel.image;version="[10.0,11)",com.liferay.portal.kernel.increment
 ;version="[7.1,8)",com.liferay.portal.kernel.io;version="[9.0,10)",co
 m.liferay.portal.kernel.io.unsync;version="[8.0,9)",com.liferay.porta
 l.kernel.jazzy;version="[1.0,2)",com.liferay.portal.kernel.jmx.model;
 version="[7.0,8)",com.liferay.portal.kernel.jndi;version="[7.0,8)",co
 m.liferay.portal.kernel.json;version="[12.0,13)",com.liferay.portal.k
 ernel.jsonwebservice;version="[9.0,10)",com.liferay.portal.kernel.lan
 guage;version="[11.0,12)",com.liferay.portal.kernel.language.constant
 s;version="[1.0,2)",com.liferay.portal.kernel.license;version="[1.0,2
 )",com.liferay.portal.kernel.lock;version="[9.0,10)",com.liferay.port
 al.kernel.management;version="[8.0,9)",com.liferay.portal.kernel.mess
 aging;version="[15.0,15.1)",com.liferay.portal.kernel.messaging.async
 ;version="[6.2,7)",com.liferay.portal.kernel.mobile.device;version="[
 9.0,9.1)",com.liferay.portal.kernel.model.adapter.builder;version="[1
 .0,2)",com.liferay.portal.kernel.model.change.tracking;version="[3.0,
 4)",com.liferay.portal.kernel.model.dao;version="[2.5,3)",com.liferay
 .portal.kernel.model.impl;version="[7.2,8)",com.liferay.portal.kernel
 .model.portlet;version="[2.0,3)",com.liferay.portal.kernel.model.vers
 ion;version="[3.0,4)",com.liferay.portal.kernel.model.wrapper;version
 ="[3.0,4)",com.liferay.portal.kernel.module.configuration;version="[2
 .1,3)",com.liferay.portal.kernel.module.framework;version="[1.4,2)",c
 om.liferay.portal.kernel.plugin;version="[7.0,8)",com.liferay.portal.
 kernel.pop;version="[7.0,8)",com.liferay.portal.kernel.portlet.bridge
 s.mvc.constants;version="[1.0,2)",com.liferay.portal.kernel.portlet.c
 onfiguration.icon.locator;version="[1.0,2)",com.liferay.portal.kernel
 .portlet.toolbar.contributor;version="[1.1,2)",com.liferay.portal.ker
 nel.portlet.toolbar.contributor.locator;version="[1.0,2)",com.liferay
 .portal.kernel.repository;version="[13.0,14)",com.liferay.portal.kern
 el.repository.capabilities;version="[2.0,2.1)",com.liferay.portal.ker
 nel.repository.event;version="[1.1,2)",com.liferay.portal.kernel.repo
 sitory.http.header.customizer;version="[1.0,2)",com.liferay.portal.ke
 rnel.repository.model;version="[11.2,11.3)",com.liferay.portal.kernel
 .repository.registry;version="[1.1,2)",com.liferay.portal.kernel.repo
 sitory.search;version="[7.0,8)",com.liferay.portal.kernel.resource;ve
 rsion="[6.3,7)",com.liferay.portal.kernel.resource.manager;version="[
 1.0,2)",com.liferay.portal.kernel.scheduler;version="[18.0,19)",com.l
 iferay.portal.kernel.scheduler.messaging;version="[10.0,11)",com.life
 ray.portal.kernel.search.background.task;version="[2.1,3)",com.lifera
 y.portal.kernel.search.facet;version="[9.0,10)",com.liferay.portal.ke
 rnel.search.facet.collector;version="[6.3,7)",com.liferay.portal.kern
 el.search.facet.config;version="[8.0,9)",com.liferay.portal.kernel.se
 arch.facet.util;version="[7.0,8)",com.liferay.portal.kernel.search.fi
 lter;version="[1.0,2)",com.liferay.portal.kernel.search.generic;versi
 on="[3.0,4)",com.liferay.portal.kernel.search.geolocation;version="[1
 .0,2)",com.liferay.portal.kernel.search.highlight;version="[1.0,2)",c
 om.liferay.portal.kernel.search.hits;version="[2.0,3)",com.liferay.po
 rtal.kernel.search.query;version="[2.0,3)",com.liferay.portal.kernel.
 search.result;version="[1.0,2)",com.liferay.portal.kernel.search.sugg
 est;version="[3.1,4)",com.liferay.portal.kernel.security;version="[6.
 2,7)",com.liferay.portal.kernel.security.auth.tunnel;version="[1.0,2)
 ",com.liferay.portal.kernel.security.auth.verifier;version="[2.0,3)",
 com.liferay.portal.kernel.security.permission.contributor;version="[1
 .0,2)",com.liferay.portal.kernel.security.permission.propagator;versi
 on="[1.0,2)",com.liferay.portal.kernel.security.permission.resource.d
 efinition;version="[1.0,2)",com.liferay.portal.kernel.security.pwd;ve
 rsion="[4.0,5)",com.liferay.portal.kernel.security.xml;version="[2.0,
 3)",com.liferay.portal.kernel.service.change.tracking;version="[1.0,2
 )",com.liferay.portal.kernel.service.configuration;version="[1.1,1.2)
 ",com.liferay.portal.kernel.service.persistence;version="[21.1,22)",c
 om.liferay.portal.kernel.service.persistence.change.tracking;version=
 "[1.4,2)",com.liferay.portal.kernel.servlet.filters.compoundsessionid
 ;version="[7.0,8)",com.liferay.portal.kernel.settings;version="[4.0,5
 )",com.liferay.portal.kernel.settings.definition;version="[2.0,3)",co
 m.liferay.portal.kernel.spring.aop;version="[7.0,8)",com.liferay.port
 al.kernel.spring.orm;version="[1.0,2)",com.liferay.portal.kernel.spri
 ng.osgi;version="[2.0,3)",com.liferay.portal.kernel.systemevent;versi
 on="[6.2,7)",com.liferay.portal.kernel.trash.helper;version="[1.1,2)"
 ,com.liferay.portal.kernel.upgrade;version="[21.0,22)",com.liferay.po
 rtal.kernel.upgrade.util;version="[11.0,12)",com.liferay.portal.kerne
 l.upload;version="[10.0,11)",com.liferay.portal.kernel.util.comparato
 r;version="[3.1,4)",com.liferay.portal.kernel.uuid;version="[6.2,7)",
 com.liferay.portal.kernel.version;version="[1.1,2)",com.liferay.porta
 l.kernel.webdav.methods;version="[6.2,7)",com.liferay.portal.kernel.w
 ebserver;version="[1.0,2)",com.liferay.portal.kernel.workflow.permiss
 ion;version="[7.0,8)",com.liferay.portal.kernel.workflow.search;versi
 on="[1.0,2)",com.liferay.portal.kernel.xml;version="[7.1,7.2)",com.li
 feray.portal.kernel.xml.simple;version="[6.2,7)",com.liferay.portal.k
 ernel.xmlrpc;version="[6.2,7)",com.liferay.portal.kernel.zip;version=
 "[6.4,7)",com.liferay.ratings.kernel;version="[1.2,2)",com.liferay.ra
 tings.kernel.exception;version="[1.0,2)",com.liferay.ratings.kernel.m
 odel;version="[4.1,4.2)",com.liferay.ratings.kernel.service;version="
 [2.7,2.8)",com.liferay.ratings.kernel.transformer;version="[1.0,2)",c
 om.liferay.sites.kernel.util;version="[1.4,2)",com.liferay.social.ker
 nel.exception;version="[1.0,2)",com.liferay.social.kernel.model;versi
 on="[6.1,6.2)",com.liferay.social.kernel.service;version="[3.2,3.3)",
 com.liferay.social.kernel.service.persistence;version="[4.3,5)",com.l
 iferay.trash.kernel.model;version="[6.0,6.1)",com.liferay.users.admin
 .kernel.file.uploads;version="[2.0,3)",javax.mail,javax.mail.internet
 ,javax.management,javax.naming,javax.naming.directory,javax.net.ssl,j
 avax.portlet,javax.portlet.annotations,javax.portlet.filter,javax.sec
 urity.auth,javax.security.auth.callback,javax.security.auth.login,jav
 ax.security.auth.spi,javax.servlet,javax.servlet.http,javax.sql,javax
 .xml.namespace,javax.xml.parsers,javax.xml.stream,javax.xml.transform
 ,org.osgi.framework,org.osgi.util.tracker,org.xml.sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Fri May 26 00:00:00 PDT 2023
Liferay-Portal-Build-Number: 7413
Liferay-Portal-Build-Time: Tue Jun 4 01:01:13 PDT 2024
Liferay-Portal-Code-Name: Cavanaugh
Liferay-Portal-Parent-Build-Number: 7413
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.4.1
 3 Update 78 (Cavanaugh / Build 7413 / May 26, 2023)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.4.
 13
Liferay-Portal-Version: 7.4.13
Liferay-Portal-Version-Display-Name: 7.4.13 Update 78
Private-Package: com.liferay.portal.kernel.internal.cache,com.liferay.
 portal.kernel.internal.dao.jdbc,com.liferay.portal.kernel.internal.da
 o.orm,com.liferay.portal.kernel.internal.security.access.control,com.
 liferay.portal.kernel.internal.security.permission.resource,com.lifer
 ay.portal.kernel.internal.service.permission,com.liferay.portal.kerne
 l.internal.service.persistence,com.liferay.portal.kernel.internal.ser
 vice.persistence.change.tracking,com.liferay.portal.kernel.internal.s
 ervlet,com.liferay.portal.kernel.internal.spring.transaction,com.life
 ray.portal.kernel.internal.util,com.liferay.portal.kernel.module.util
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Tool: Bnd-3.5.0.201709291849
